#include "Logfile.h"

// CLogFile Constructor
CLogFile::CLogFile( char Filename[255] )
{
	FILE *fp = NULL;

	m_bOutput = true;
	strcpy( m_szFilename, Filename );
	fp = fopen( m_szFilename , "wt" );
	if( !fp )
	{
		m_bOutput = false;
		return;
	}
	fprintf( fp, "Creating %s\n", m_szFilename );
	fprintf( fp, "-----------------------------\n");
	fclose( fp );
}

// CLogFile Destructor
CLogFile::~CLogFile()
{
}

// Print a string in the log file
void CLogFile::Print(char *_str,...)
{
	char str[255];
	va_list arglist;
	FILE *fp = NULL;

	if( m_bOutput )
	{
		va_start(arglist, _str);
		vsprintf(str, _str, arglist);
		va_end(arglist);

		fp = fopen( m_szFilename, "at");
		if( !fp ) return;
		fprintf( fp, str );
		fprintf( fp, "\n");
		fclose( fp );
	}
}