#ifndef Logfile_H
#define Logfile_H

#include <stdio.h>
#include <string.h>
#include <stdarg.h>

#define DELETE_PTR( x ) if(x != NULL) { delete x; x = NULL; }
#define LOG_ERROR( x ) LogFile->Print_( x, __FILE__, __LINE__ )

#define ORION_LOGFILE_DEFAULT_FILENAME  "tracelog.txt"
#define ORION_LOGFILE_DEFAULT_MAXSTRING 1000

class CLogFile
{
   public:
	   CLogFile(char *Filename);
	   ~CLogFile();

	   void Print(char *_str,...);
	   void SetOutput( bool OutPut );

   protected:
       char   m_szFilename[255];

	   int    m_iNumString;
	   int    m_iMaxString;

	   bool  m_bOutput;
};

extern CLogFile *LogFile;

#endif
